//CModelMan_ModelInfo - [2020-04-13 11:57:46]
#ifndef _CMODELMAN_MODELINFO_H_
#define _CMODELMAN_MODELINFO_H_

#include "CFTTModel.h"

/*
001854C8 CModelMan_ModelInfo::CModelMan_ModelInfo()
001854D0 CModelMan_ModelInfo::~CModelMan_ModelInfo()
001854D2 CModelMan_ModelInfo::Allocate(uint,bool)
001854E4 CModelMan_ModelInfo::Dereference()
0018550C CModelMan_ModelInfo::LoadSuccess(CFTTModel *,uint,uint)
00185518 CModelMan_ModelInfo::LoadFail(int)
00185528 CModelMan_ModelInfo::GetPointer()
0018555C CModelMan_ModelInfo::GetError()

//0x18  0018575C 由此确定
*/

class CModelMan_ModelInfo {
public:
  CModelMan_ModelInfo();                      //001854C8
  ~CModelMan_ModelInfo();                     //001854D0
  void Allocate(uint, bool);                  //001854D2
  void Dereference();                         //001854E4
  void LoadSuccess(CFTTModel *, uint, uint);  //0018550C
  void LoadFail(int);                         //00185518
  void GetPointer();                          //00185528
  void GetError();                            //0018555C

  int field_0;
  int field_4;
  union {
    CFTTModel *pModel_8;
    int dErrId_8;
  } u_8;
  int field_C;
  uint32 dHash_10;
  ushort us_14;
  ushort us_16;
};

#endif  //_CMODELMAN_MODELINFO_H_